Bug 1283394 - Display settings changing when docking
Display settings changing when docking
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 16:06 EST by Diego Fernandez
Modified: 2016-12-20 11:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:04:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego Fernandez 2015-11-18 16:06:28 EST
Description of problem:

On FC22, gnome-shell remembered my display settings when docking and undocking. That is, it would remember which monitor was set as primary, the resolution of each monitor, and the arrangement of the monitors.

Now, the behavior when I re-dock is not consistent. Sometimes the resolution on my external monitor will change, sometimes the primary monitor will change (my external is set as Primary and my built-in as secondary), and sometimes the external will just not turn on automatically.

Version-Release number of selected component (if applicable):

gnome-shell.x86_64-3.18.1-1.fc23

How reproducible:

Sometimes

Steps to Reproduce:
1. Undock laptop
2. Use it for a while (suspend, resume, open new windows, close old windows)
3. Re-dock laptop

Actual results:

After step 3. the display settings are not the same as before step 1. 

Expected results:

After step 3. the display settings should be exactly the same as before step 1.

Additional info:

Lenovo ThinkPad T530 with ThinkPad Mini Dock Series 3. External monitor plugged in through VGA.
Comment 1 Diego Fernandez 2015-12-12 21:52:08 EST
Potentially related https://bugs.freedesktop.org/show_bug.cgi?id=92986
Comment 2 Fabiano Franz 2016-09-08 16:59:58 EDT
+1 except that it doesn't happen when docking/undocking but when my screen is dimmed (I have my power settings in Gnome Shell configured to dim the screen after some time). When I get back to it sometimes the primary monitor will change (my external is set as Primary and my built-in as secondary), and sometimes the external will just not turn on automatically.

Lenovo ThinkPad T440s with external monitor plugged though HDMI. Not reproducible on F22.
Comment 3 Fedora End Of Life 2016-11-24 08:33:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:04:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.